function showAlert(text, callback, title, buttonText)
{
   if (navigator && navigator.notification && navigator.notification.alert)
      navigator.notification.alert(text, callback, title, buttonText)
   else
     alert(title + " - " + text);
}